# Module: montage/core/event/mutable-event

### Requires

- module:montage

### Classes

MutableEvent

### Methods

#### (inner) fromEvent(event)

##### Parameters:

Name | Type | Description
--- | --- | ---
`event` | Event | The original event.

Source:
  - core/event/mutable-event.js, line 297

##### Returns:

newEvent

#### (inner) fromType(type, canBubbleArg, cancelableArg, data)

##### Parameters:

Name | Type | Description
--- | --- | ---
`type` | Event | TODO
`canBubbleArg` | Event | TODO
`cancelableArg` | Event | TODO
`data` | Event | TODO

Source:
  - core/event/mutable-event.js, line 324

##### Returns:

this.fromEvent(anEvent)